#include <iostream>
#include<cmath>
#include<math.h>
using namespace std;

int main()
{
	char s[10000];
	cin>>s;
	int i=0;
	while(s[i]!='\0')
	{
		++i;
	}
	i=i-1;
	for(int m = i+1;m<=2*i+1;m++)
	{
		s[m]=s[2*i+1-m];
	}
	
	
	for(int j=0;j<=2*i+1;j++)
	{
		cout<<s[j];
	}
	
	return 0;
}
